libzypp: zypp/ng/sat/solvable.h File Reference

libzypp 17.38.14

solvable.h File Reference
`#include <iosfwd>`
`#include <zypp-core/ng/meta/type_traits.h>`
`#include <zypp-core/ng/base/ranges.h>`
`#include <zypp-core/ByteCount.h>`
`#include <zypp-core/Date.h>`
`#include <zypp-core/CheckSum.h>`
`#include <zypp/ng/sat/poolconstants.h>`
`#include <zypp/ng/sat/poolmember.h>`
`#include <zypp/ng/sat/solvattr.h>`
`#include <zypp/ng/restraits.h>`
`#include <zypp/ng/idstring.h>`
`#include <zypp/ng/edition.h>`
`#include <zypp/ng/arch.h>`
`#include <zypp/ng/cpeid.h>`
`#include <zypp/ng/dep.h>`
`#include <zypp/ng/sat/capabilities.h>`
`#include <zypp/ng/sat/capability.h>`
`#include <zypp/ng/reskind.h>`
`#include <zypp/ng/locale.h>`

Go to the source code of this file.

## Classes
class | zyppng::sat::Solvable
| A Solvable object within the sat Pool. More...
class | zyppng::sat::detail::SolvableIterator
| Iterate over valid Solvables in the pool. More...
struct | zyppng::sat::detail::convert_to_solvable< T, typename >
struct | zyppng::sat::detail::convert_to_solvable< T, std::void_t< satSolvable_t< T > > >
struct | zyppng::sat::asSolvable
| To Solvable transform functor. More...

## Namespaces
namespace | zyppng
namespace | zyppng::sat
| This file contains private API, this might break at any time between releases.
namespace | zyppng::sat::detail
| CLASS NAME : detail::DIWrap.

## Typedefs
template<typename T>
using | zyppng::sat::detail::satSolvable_t = decltype(std::declval<T>().satSolvable())

## Functions
template<>
Pool & | zyppng::sat::detail::poolFromType (Solvable &)
template<>
const Pool & | zyppng::sat::detail::poolFromType (const Solvable &)
bool | zyppng::sat::operator== (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable
bool | zyppng::sat::operator!= (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable
bool | zyppng::sat::operator< (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable
template<class TRes>
bool | zyppng::sat::isKind (const Solvable &solvable_r)
| relates: Solvable Test whether a Solvable is of a certain Kind.
bool | zyppng::sat::identical (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable Test for same content.
bool | zyppng::sat::sameNVRA (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable Test for same name version release and arch.
int | zyppng::sat::compareByN (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable Compare according to kind and name.
int | zyppng::sat::compareByNVR (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable Compare according to kind, name and edition.
int | zyppng::sat::compareByNVRA (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable Compare according to kind, name, edition and arch.
| ZYPP_DEFINE_ID_HASHABLE (::zyppng::sat::Solvable)

## Variables
template<typename T>
constexpr bool | zyppng::sat::detail::has_satSolvable_v = std::is_detected_v<satSolvable_t, T>

## Function Documentation

## ◆ ZYPP_DEFINE_ID_HASHABLE()

ZYPP_DEFINE_ID_HASHABLE | ( | ::zyppng::sat::Solvable |  | ) |